package gsdl


#######################################################################
# java images/scripts
#######################################################################

# the _javalinks_ macros are the flashy image links at the top right of
# the page. 

_javalinks_ {_imagehome_}
_javalinks_ [v=1] {
_imagehome_<br>
}

#######################################################################
# page content
#######################################################################

_iconabgsgr_ {<img src="_httpimg_/abgsgr.gif">}

_pagetitle_ {Greenstone Digital Library Software}

_content_ {
_iconabgsgr_

<p>


<table border=0 cellspacing=0 cellpadding=0>
 <tr>
  <td valign=top align=center>_imagegreenstone_</td>
  <td valign=top>
  Greenstone is a suite of software which has the ability to serve digital
  library collections and build new collections.  It provides a new way of
  organizing information and publishing it on the Internet or on CD-ROM.
  Greenstone is produced by the New Zealand Digital Library Project at the
  University of Waikato, and distributed in cooperation with UNESCO and the
  Humanities Library Project. It is open-source software, available from
  <i>http://nzdl.org</i> under the terms of the GNU General Public License.
  <br><br>
  </td>
 </tr>
 <tr>
  <td valign=top align=center>
  <h2><a href="http://nzdl.org">nzdl.org</a></h2>
  </td>
  <td valign=top>
  The New Zealand Digital Library website (<a href="http://nzdl.org">http://nzdl.org</a>) contains
  numerous example collections, all created with the Greenstone software, which
  are publicly availabel for you to peruse. They exemplify various searching and
  browsing options, and include collections in Arabic, Chinese, French, Maori,
  and Spanish, as well as English. There are also some music
  collections.
  <br><br>
  </td>
 </tr>
 <tr>
  <td valign=top align=center>
  <h2>platform</h2>
  </td>
  <td valign=top>
  Greenstone runs on Windows and Unix. The distribution includes ready-to-use
  binaries for all versions of Windows, and for Linux. It also includes complete
  source code for the system, which can be compiled using Microsoft C++ or gcc
  Greenstone works with associated software that is freely available: the Apache
  Webserver and PERL. The user interface uses a Web browser: typically Netscape
  Navigator or Internet Explorer.
  <br><br>
  </td>
 </tr>
 <tr>
  <td valign=top align=center>
    <a href="http://nzdl.org/hdl"><img border=0 width=101 height=100 src="_httpimg_/hdlimg.jpg"></a>
  </td>
  <td valign=top>
  Many document collections are distributed on CD-ROM using the Greenstone
  software. For example, the <i>Humanity Development Library</i> contains 1,230
  publications ranging from accounting to water sanitation. It runs on minimal
  computing facilities such as those typically found in developing countries. The
  information can be accessed by searching, browsing by subject, browsing by
  titles, browsing by organization, browsing a list of how-tos, and by randomly
  viewing the book covers.
  <br><br>
  </td>
 </tr>
 <tr>
  <td valign=top align=center>
  <h2>customisation</h2>
  </td>
  <td valign=top>
  Greenstone is specifically designed to be highly extensible and
  customisable. New document and metadata formats are accommodated by writing
  "plugins" (in Perl). Analogously, new metadata browsing structures can be
  implemented by writing "classifiers." The user interface look-and-feel can be
  altered using "macros" written in a simple macro language. A Corba protocol
  allows agents (e.g. in Java) to use all the facilities associated with document
  collections. Finally, the source code, in C++ and Perl, is available and
  accessible for modification.
  <br><br>
  </td>
 </tr>
 <tr>
  <td valign=top align=center>
  <h2>documentation</h2>
  </td>
  <td valign=top>
  There are three documents that explain the Greenstone system:
<ul>
<li> The Greenstone Digital Library Software Installer's Guide
<li> The Greenstone Digital Library Software User's Guide
<li> The Greenstone Digital Library Software Developer's Guide
</ul><br>
</tr>
 <tr>
  <td valign=top align=center>
  <h2>mailing list</h2>
  </td>
  <td valign=top>
  There is a mailing list intended primarily for discussions about the Greenstone
  digital library software.  Active users of Greenstone should consider joining
  the mailing list and contributing to the discussions.  The mailing list is
  hosted by the Pathfinder Library System in beautiful Grand Junction, Colorado
  (John Campbell, john@colosys.net). To subscribe, send email to <a
  href="mailto:majordomo@colosys.net">majordomo@colosys.net</a> with the text
  <ul>subscribe greenstone </ul> (no subject, no name, nothing else). To send a
  message to the list, address it to <a
  href="mailto:greenstone@colosys.net">greenstone@colosys.net</a>.
  <br><br>
 </tr>
 <tr>
  <td valign=top align=center>
   <h2>bugs</h2>
  </td>
  <td valign=top>
  We want to ensure that this software works well for you.  Please report any
  bugs to <a href="mailto:majordomo@colosys.net">greenstone@cs.waikato.ac.nz</a>
  <br><br>
  </td>
 </tr>
 <tr>
  <td valign=top align=center>
   <h2>credits</h2>
  </td>
  <td valign=top>
  The Greenstone software is a collaborative effort between many people. Rodger
  McNab and Stefan Boddie are the principal architects and implementors.
  Contributions have been made by David Bainbridge, George Buchanan, Hong Chen,
  Elke Duncker, Carl Gutwin, Geoff Holmes, John McPherson, Craig Nevill-Manning,
  Gordon Paynter, Bernhard Pfahringer, Todd Reed, Bill Rogers, and Stuart
  Yeates. Other members of the New Zealand Digital Library project provided
  advice and inspiration in the design of the system: Mark Apperley, Sally Jo
  Cunningham, Steve Jones, Te Taka Keegan, Michel Loots, Malika Mahoui and Lloyd
  Smith. We would also like to acknowledge all those who have contributed to the
  GNU-licensed packages included in this distribution: MG, GDBM, WGET, WVWARE,
  PDFTOHTML.
  </td>
 </tr>
</table>

<p>_iconblankbar_
<p>
<table>
<tr valign=top>
<td>_home:textpoem_</td>
<td>_imagegreenstone_</td>
</tr></table>
<p>_home:textgreenstone_

_nzdlpagefooter_
}
